Main Page Widgets glibmm Namespaces Book

# Glib::Value< double > Class Template Reference
[Generic Values]

Inheritance diagram for Glib::Value< double >:

[legend]
List of all members.

## Public Types
typedef double | CppType
typedef gdouble | CType
## Public Member Functions
void | set (double data)
double | get () const
## Static Public Member Functions
static GType | value_type () G_GNUC_CONST

### template<>
class Glib::Value< double >

## Member Typedef Documentation

typedef double Glib::Value<double>::CppType

typedef gdouble Glib::Value<double>::CType

## Member Function Documentation

static GType Glib::Value<double>::value_type | ( |  | ) | `[static]`

void Glib::Value<double>::set | ( | double | data | ) |

double Glib::Value<double>::get | ( |  | ) | const

The documentation for this class was generated from the following file:

- value_basictypes.h